
%define plugin	weatherng
%define name	vdr-plugin-%plugin
%define version	0.0.10
%define prerel	0
%define rel	2

%if %prerel
%define release %mkrel 0.%prerel.%rel
%else
%define release	%mkrel %rel
%endif
%define distsuffix plf

Summary:	VDR plugin: Weather forecast
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPL and Proprietary
URL:		http://www.glaserei-franz.de/VDR/Moronimo2/vdrplugins.htm
Source:		vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	imlib2-devel
Requires:	vdr-abi = %vdr_abi

%description
Weather forecast plugin for VDR.

This package is in PLF because it includes weather symbols that
have license restricting commercial redistribution.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep
perl -pi -e 's,^SETUPDIR=.*$,SETUPDIR=%{_vdr_cfgdir},' weatherng/weatherng/weatherng.sh
chmod 0644 README.DE README HISTORY
chmod 0755 weatherng/weatherng/weatherng.sh

%vdr_plugin_params_begin %plugin
# plugin data directory
var=DATADIR
param="-D DATADIR"
# plugin image directory
var=IMAGEDIR
param="-I IMAGEDIR"
# plugin configuration directory
var=CONFIGDIR
param="-C CONFIGDIR"
# plugin script directory
var=SCRIPTDIR
param="-S SCRIPTDIR"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
cp -pr weatherng/weatherng/* %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README README.DE HISTORY
%{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/weatherng.sh

%changelog
* Tue Apr 29 2008 Anssi Hannula <anssi@zarb.org> 0.0.10-2plf2009.0
- rebuild for new vdr

* Fri Apr 25 2008 Anssi Hannula <anssi@zarb.org> 0.0.10-1plf2009.0
- 0.0.10
- clarify PLF reason
- adapt for VDR 1.6.0

* Fri Jan 04 2008 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.7plf2008.1
- rebuild for new vdr

* Mon Oct 29 2007 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.6plf2008.1
- rebuild for new vdr

* Mon Jul 09 2007 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.5plf2008.0
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.4plf2008.0
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.3plf2008.0
- rebuild for new vdr

* Sun Dec 10 2006 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.2plf2007.1
- rebuild for new vdr

* Sun Nov 05 2006 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.1plf2007.1
- initial PLF release
